- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# fortios_webfilter_override – Configure FortiGuard Web Filter administrative overrides in Fortinet’s FortiOS and FortiGate

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module is able to configure a FortiGate or FortiOS (FOS) device by allowing the user to set and modify webfilter feature and override category. Examples include all parameters and values need to be adjusted to datasources before usage. Tested with FOS v6.0.5

## Requirements

The below requirements are needed on the host that executes this module.

- fortiosapi>=0.9.8

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
host string |  | FortiOS or FortiGate IP address.
https boolean | Choices: no yes ← | Indicates if the requests towards FortiGate must use HTTPS protocol.
password string | Default: "" | FortiOS or FortiGate password.
ssl_verify boolean added in 2.9 | Choices: no yes ← | Ensures FortiGate certificate must be verified by a proper CA.
state string added in 2.9 | Choices: present absent | Indicates whether to create or remove the object. This attribute was present already in previous version in a deeper level. It has been moved out to this outer level.
username string |  | FortiOS or FortiGate username.
vdom string | Default: "root" | Virtual domain, among those defined previously. A vdom is a virtual instance of the FortiGate that can be configured and used as a different unit.
webfilter_override dictionary | Default: null | Configure FortiGuard Web Filter administrative overrides.
| expires string |  | Override expiration date and time, from 5 minutes to 365 from now (format: yyyy/mm/dd hh:mm:ss).
| id integer / required |  | Override rule ID.
| initiator string |  | Initiating user of override (read-only setting).
| ip string |  | IPv4 address which the override applies.
| ip6 string |  | IPv6 address which the override applies.
| new_profile string |  | Name of the new web filter profile used by the override. Source webfilter.profile.name.
| old_profile string |  | Name of the web filter profile which the override applies. Source webfilter.profile.name.
| scope string | Choices: user user-group ip ip6 | Override either the specific user, user group, IPv4 address, or IPv6 address.
| state string | Choices: present absent | Deprecated Starting with Ansible 2.9 we recommend using the top-level 'state' parameter. Indicates whether to create or remove the object.
| status string | Choices: enable disable | Enable/disable override rule.
| user string |  | Name of the user which the override applies.
| user_group string |  | Specify the user group for which the override applies. Source user.group.name.

## Notes

Note

- Requires fortiosapi library developed by Fortinet

- Run as a local_action in your playbook

## Examples

    - hosts: localhost
      vars:
       host: "192.168.122.40"
       username: "admin"
       password: ""
       vdom: "root"
       ssl_verify: "False"
      tasks:
      - name: Configure FortiGuard Web Filter administrative overrides.
        fortios_webfilter_override:
          host:  "{{ host }}"
          username: "{{ username }}"
          password: "{{ password }}"
          vdom:  "{{ vdom }}"
          https: "False"
          state: "present"
          webfilter_override:
            expires: "<your_own_value>"
            id:  "4"
            initiator: "<your_own_value>"
            ip: "<your_own_value>"
            ip6: "<your_own_value>"
            new_profile: "<your_own_value> (source webfilter.profile.name)"
            old_profile: "<your_own_value> (source webfilter.profile.name)"
            scope: "user"
            status: "enable"
            user: "<your_own_value>"
            user_group: "<your_own_value> (source user.group.name)"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
build string | always | Build number of the fortigate image Sample: 1547
http_method string | always | Last method used to provision the content into FortiGate Sample: PUT
http_status string | always | Last result given by FortiGate on last operation applied Sample: 200
mkey string | success | Master key (id) used in the last call to FortiGate Sample: id
name string | always | Name of the table used to fulfill the request Sample: urlfilter
path string | always | Path of the table used to fulfill the request Sample: webfilter
revision string | always | Internal revision number Sample: 17.0.2.10658
serial string | always | Serial number of the unit Sample: FGVMEVYYQT3AB5352
status string | always | Indication of the operation's result Sample: success
vdom string | always | Virtual domain used Sample: root
version string | always | Version of the FortiGate Sample: v5.6.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Miguel Angel Munoz (@mamunozgonzalez)

- Nicolas Thomas (@thomnico)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.